| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyPointer_s Struct Reference
Objects_generic

custom pointer More...

`#include <oyPointer_s.h>`

Inheritance diagram for oyPointer_s:
Collaboration diagram for oyPointer_s:

## Public Member Functions
OYAPI oyPointer_s *OYEXPORT | oyPointer_New (oyObject_s object)
| allocate a new Pointer object More...
OYAPI oyPointer_s *OYEXPORT | oyPointer_Copy (oyPointer_s *pointer, oyObject_s object)
| copy or reference a Pointer object More...
OYAPI int OYEXPORT | oyPointer_Release (oyPointer_s **pointer)
| release and possibly deallocate a oyPointer_s object More...
int | oyPointer_Set (oyPointer_s *cmm_ptr, const char *lib_name, const char *resource, oyPointer ptr, const char *func_name, oyPointer_release_f ptrRelease)
| set a oyPointer_s More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Data Fields
oyStruct_Copy_f | copy
oyStruct_Release_f | release
Data Fields inherited from oyStruct_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Detailed Description

custom pointer

## Member Function Documentation

OYAPI oyPointer_s *OYEXPORT oyPointer_Copy | ( | oyPointer_s * | pointer,
|  | oyObject_s | object
| ) |  |

copy or reference a Pointer object

Function oyPointer_Copy

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | pointer | Pointer struct object
  | object | NULL - means reference, the optional object triggers a real copy

References oyOBJECT_POINTER_S.

Referenced by oyFilterNode_s::oyFilterNode_GetModuleData(), and oyFilterNode_s::oyFilterNode_SetModuleData().

OYAPI oyPointer_s *OYEXPORT oyPointer_New | ( | oyObject_s | object | ) |

allocate a new Pointer object

Function oyPointer_New

References oyOBJECT_OBJECT_S.

OYAPI int OYEXPORT oyPointer_Release | ( | oyPointer_s ** | pointer | ) |

release and possibly deallocate a oyPointer_s object

Function oyPointer_Release

Parameters

  [in,out] | pointer | Pointer struct object

References oyOBJECT_POINTER_S.

Referenced by oyFilterNode_s::oyFilterNode_SetModuleData().

int oyPointer_Set | ( | oyPointer_s * | cmm_ptr,
|  | const char * | lib_name,
|  | const char * | resource,
|  | oyPointer | ptr,
|  | const char * | func_name,
|  | oyPointer_release_f | ptrRelease
| ) |  |

set a oyPointer_s

Function oyPointer_Set

Use for initialising.

Version
  Oyranos: 0.1.10

Since
  2009/07/22 (Oyranos: 0.1.10)

Date
  2009/08/16

## Field Documentation

oyStruct_Copy_f oyPointer_s::copy

copy function

oyStruct_Release_f oyPointer_s::release

release function